Web Page SEO analysis
curl --request GET \
--url https://www.fetchserp.com/api/v1/web_page_seo_analysis \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fetchserp.com/api/v1/web_page_seo_analysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fetchserp.com/api/v1/web_page_seo_analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analysis": {
"title": "<string>",
"title_length": 123,
"meta_description": "<string>",
"meta_description_length": 123,
"title_contains_keyword": true,
"description_contains_keyword": true,
"canonical_url": "<string>",
"robots_meta": "<string>",
"noindex_detected": true,
"nofollow_detected": true,
"structured_data": {
"types": [
"<string>"
],
"raw": [
"<unknown>"
]
},
"headings": {
"h1": "<string>",
"h1_count": 123,
"h1_contains_keyword": true,
"structure": {
"h1": 123,
"h2": 123,
"h3": 123,
"h4": 123
}
},
"content": {
"word_count": 123,
"keyword_density": {
"keyword": 123
},
"readability_score": 123,
"duplicate_content": true,
"thin_content": true,
"near_duplicate_content_hash": "<string>",
"content_topics": [
"<string>"
]
},
"links": {
"internal_links_count": 123,
"external_links_count": 123,
"broken_links": "<unknown>",
"redirect_chain": "<unknown>",
"nofollow_links_count": 123
},
"images": {
"total_images": 123,
"missing_alt_attributes": [
"<string>"
],
"image_alt_coverage": 123
},
"technical": {
"html_lang": "<string>",
"doctype": "<string>",
"semantic_tags_used": [
"<string>"
],
"robots_txt_disallowed": true,
"sitemap_included": true,
"viewport_tag_present": true,
"https": true,
"secure_canonical": true,
"mixed_content": [
"<string>"
],
"javascript_rendered": true,
"lazy_loaded_content": true,
"important_content_in_js": true,
"mobile_friendly": true,
"mobile_interstitials_detected": true,
"page_speed_score": 123,
"core_web_vitals": {
"lcp": "<string>",
"fid": "<string>",
"cls": "<string>"
},
"aria_roles_present": true,
"landmark_elements": [
"<string>"
]
},
"social_meta": {
"og_title": "<string>",
"og_description": "<string>",
"og_image": "<string>",
"twitter_card": "<string>",
"twitter_title": "<string>",
"twitter_image": "<string>",
"social_meta_complete": true
},
"indexability": {
"indexable": true,
"crawl_depth": 123
},
"summary": {
"score": 123,
"issues": [
"<string>"
],
"recommendations": [
"<string>"
]
}
}
}{
"error": "<string>"
}{
"success": true,
"message": "<string>"
}{
"error": "<string>"
}{
"status": 123,
"error": "<string>"
}Api
Web Page SEO analysis
GET
/
api
/
v1
/
web_page_seo_analysis
Web Page SEO analysis
⌘I